Bug 337062 - panel toolbox has handles in disguise
Summary: panel toolbox has handles in disguise
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Panel (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-04 14:04 UTC by Harald Sitter
Modified: 2014-08-23 12:53 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:
kde: VisualDesign+


Attachments
screenshot (696.75 KB, image/png)
2014-07-04 14:05 UTC, Harald Sitter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Sitter 2014-07-04 14:04:44 UTC
The panel toolbox has two handles that need draging around. Namely 'screen edge' and 'height/width' They look like the other buttons in the toolbox (except for no icon), but they do not behave like buttons. They are in fact handles to be dragged around.

This is not immediately obvious and if one happens to have a steady hand it will take quite a while until one notices that they are supposed to be dragged rather than clicked.

Reproducible: Always
Comment 1 Harald Sitter 2014-07-04 14:05:34 UTC
Created attachment 87546 [details]
screenshot
Comment 2 David Edmundson 2014-07-04 14:15:43 UTC
Yeah, I agree; but this does match 4.x behaviour so it's not an urgent priority to fix.

Would love some ideas on how else to solve this. I've flagged the VDG group for comments.
Comment 3 Marco Martin 2014-07-07 08:33:00 UTC
being handles, they have "direct" manipulation for those two parametres.
I would like to make them more obvious, but I would consider any "indirect" manipulation solution (like a dialog that says the edge) a regression.
Comment 4 Aleix Pol 2014-07-08 14:43:23 UTC
At least we might want to change the cursor displayed on this button?

We would need to expose the cursorShape in the PlasmaComponents.Button though.
Comment 5 David Edmundson 2014-08-22 13:45:57 UTC
Git commit 7e89906c51453414209319d2c928a015dda5c66e by David Edmundson.
Committed on 22/08/2014 at 13:46.
Pushed by davidedmundson into branch 'master'.

Set cursor shape when hovering over panel drag handles

This requires kdeclarative master from today.

M  +1    -0    desktoppackage/contents/configuration/panelconfiguration/EdgeHandle.qml
M  +2    -0    desktoppackage/contents/configuration/panelconfiguration/SizeHandle.qml

http://commits.kde.org/plasma-desktop/7e89906c51453414209319d2c928a015dda5c66e